epsilondeltatest/: 
  epsilondeltatest[f_, {a_, d_}, {l_, e_}] :=  Block[{x}, Plot[f[x], 
  {x, a - d, a + d}, PlotRange -> {{a - d, a + d}, {l - e, l + e}},
  Frame -> True, AspectRatio -> Automatic]]

epsilondeltatest::usage = "epsilondeltatest[f, {a, d}, {l, e}] plots a graph
of f on the interval {a - d, a + d} to see if |f[x] - l| < e for all x
such that |x - a| < d."

 
repsilondeltatest/: 
  repsilondeltatest[f_, {a_, d_}, {l_, e_}] := Block[{x}, Plot[f[x], 
  {x, a, a + d}, PlotRange -> {{a, a + d}, {l - e, l + e}}, 
  Frame -> True, AspectRatio -> Automatic]]

repsilondeltatest::usage = "repsilondeltatest[f, {a, d}, {l, e}] plots a graph
of f on the interval {a, a + d} to see if |f[x] - l| < e for all x
such that 0 < x - a < d."

 
lepsilondeltatest/: 
  lepsilondeltatest[f_, {a_, d_}, {l_, e_}] := Block[{x}, Plot[f[x], 
  {x, a - d, a}, PlotRange -> {{a - d, a}, {l - e, l + e}}, 
  Frame -> True, AspectRatio -> Automatic]]
 
lepsilondeltatest::usage = "lepsilondeltatest[f, {a, d}, {l, e}] plots a graph
of f on the interval {a - d, a} to see if |f[x] - l| < e for all x
such that 0 < a - x < d."


